--- ../geany/src/main.c	2007-12-18 13:42:05.000000000 -0600
+++ ./src/main.c	2007-12-18 15:13:25.000000000 -0600
@@ -435,7 +435,11 @@
 	g_option_context_add_group(context, gtk_get_option_group(TRUE));
 	g_option_context_parse(context, argc, argv, &error);
 	g_option_context_free(context);
-
+	if (error != NULL) {
+		g_printerr("Geany: %s\n", error->message);
+		g_error_free(error);
+		exit(1);
+	}
 	if (show_version)
 	{
 		printf(PACKAGE " " VERSION " ");
@@ -639,6 +643,7 @@
 
 	setup_paths();
 	locale_init();
+	gtk_init(&argc, &argv);
 	parse_command_line_options(&argc, &argv);
 
 	gtk_set_locale();
@@ -681,7 +686,6 @@
 		VERSION,
 		gtk_major_version, gtk_minor_version, gtk_micro_version,
 		glib_major_version, glib_minor_version, glib_micro_version);
-	gtk_init(&argc, &argv);
 
 	// inits
 	main_init();